Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface COMMBean

public interface COMMBean
extends ConfigurationMBean

This bean represents the server-wide configuration of COM

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getNTAuthHost()` The address of the primary domain controller to be used for authenticating clients.
`boolean` | `isApartmentThreaded()` Controls the flag that is used to initialize COM in native mode.
`boolean` | `isMemoryLoggingEnabled()` Enables logging of memory usage
`boolean` | `isNativeModeEnabled()` Use native DLLs to allow Java objects to interact with COM Objects.
`boolean` | `isPrefetchEnums()` Some COM methods return a COM VariantEnumeration type.
`boolean` | `isVerboseLoggingEnabled()` Enables verbose logging.
`void` | `setApartmentThreaded(boolean b)`
`void` | `setMemoryLoggingEnabled(boolean enable)`
`void` | `setNativeModeEnabled(boolean enable)`
`void` | `setNTAuthHost(java.lang.String host)`
`void` | `setPrefetchEnums(boolean enable)`
`void` | `setVerboseLoggingEnabled(boolean enable)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getNTAuthHost

    public java.lang.String getNTAuthHost()

  The address of the primary domain controller to be used for authenticating clients. If this property is not set, COM clients will not be authenticated.

### setNTAuthHost

    public void setNTAuthHost(java.lang.String host)

### isNativeModeEnabled

    public boolean isNativeModeEnabled()

  Use native DLLs to allow Java objects to interact with COM Objects. Only supported on Windows.

  Default Value: false

### setNativeModeEnabled

    public void setNativeModeEnabled(boolean enable)

### isVerboseLoggingEnabled

    public boolean isVerboseLoggingEnabled()

  Enables verbose logging.

  Default Value: false

### setVerboseLoggingEnabled

    public void setVerboseLoggingEnabled(boolean enable)

### isMemoryLoggingEnabled

    public boolean isMemoryLoggingEnabled()

  Enables logging of memory usage

  Default Value: false

### setMemoryLoggingEnabled

    public void setMemoryLoggingEnabled(boolean enable)

### isPrefetchEnums

    public boolean isPrefetchEnums()

  Some COM methods return a COM VariantEnumeration type. The java2com tool automatically converts the returned type into a java.lang.Enumeration. This is not a perfect match since COM enumerations have no equivalent to the `hasMoreElements()` call. The client must continue to call `nextElement` until a `NoSuchElementException` occurs. Setting this property will cause jCOM to prefetch the next element in behind the scenes and return the correct value when hasMoreElements is called.

### setPrefetchEnums

    public void setPrefetchEnums(boolean enable)

### isApartmentThreaded

    public boolean isApartmentThreaded()

  Controls the flag that is used to initialize COM in native mode. By default, jCOM initializes COM using the COINIT_MULTITHREADED_FLAG. If the server logs a Class Not Registered Message when using native mode, try setting this property. (COINIT_APARTMENTTHREADED)

  Default Value: false

### setApartmentThreaded

    public void setApartmentThreaded(boolean b)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference